<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="x_is_new" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns4="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>June 1997</pubdate>
  </info>

  <refnamediv>
    <refname>x_is_new</refname>

    <refpurpose>utility function for FSQP solver</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>i=x_is_new()
set_x_is_new(i)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>i</term>

        <listitem>
          <para>integer 0-1 valued number.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>i=x_is_new() returns 1 (resp. 0) if the C variable x_is_new is set
    to TRUE (resp. FALSE).</para>

    <para>set_x_is_new(i) assigns the value i to x_is_new.</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example">
x_is_new()
set_x_is_new(0)
x_is_new()
set_x_is_new(1)  //This is the default. 
 </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member><link linkend="fsqp">fsqp</link></member>
    </simplelist>
  </refsection>
</refentry>